# List STT providers (/docs/api-reference/providers/listSTTProviders)

> Retrieve all Speech-to-Text providers.



**GET** `/providers/stt`

Retrieve all Speech-to-Text providers.

```yaml
operationId: listSTTProviders
responses:
  '200':
    description: STT providers.
    content:
      application/json:
        schema:
          type: object
          properties:
            stt:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  provider_name:
                    oneOf:
                      - type: string
                      - type: boolean
                    description: Brand of the underlying service (e.g. `azure` for LLMs). `false` when not set.
                  is_premium:
                    type: boolean
                  service_type:
                    type: string
                    enum:
                      - LLM
                      - STT
                      - TTS
                      - other
                  is_active:
                    type: boolean
            total:
              type: integer
        example:
          stt:
            - id: 2
              name: deepgram_stream
              provider_name: false
              is_premium: false
              service_type: STT
              is_active: true
            - id: 5
              name: Azure
              provider_name: false
              is_premium: false
              service_type: STT
              is_active: true
          total: 4
```

**Python SDK**

```python
# List all STT providers
stt_providers = client.providers.list_stt()
print(stt_providers)
# Returns: {'stt': [...], 'total': 3}
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/providers/stt" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
